cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Unable to upgrade Thingworx Manufacturing Apps from 8.5.2 to 9.0.0

malcelay
4-Participant

Unable to upgrade Thingworx Manufacturing Apps from 8.5.2 to 9.0.0

When importing the "ThingWorx-Apps-9.0.0-01-extension-dependencies.zip" file, I receive error in the next extensions:
TWX_Converge_Core_ExtensionPackage:9.0.0
infotableselector_ExtensionPackage:2.0.0

 

In both cases I receive the same error:
Extension : A newer version of infotableselector_ExtensionPackage is already installed: infotableselector_ExtensionPackage:2.0.0

 

I have installed infotableselector_ExtensionPackage:2.2.0. When I try to delete it, I receive the next error:
Unable to Invoke Service DeleteExtensionPackage on PlatformSubsystem : Cannot delete ExtensionPackage [infotableselector_ExtensionPackage] because the following ExtensionPackages depend on it: [TWX_Converge_Core_ExtensionPackage]

 

When I try to delete TWX_Converge_Core_ExtensionPackage, I receive the next error:
Cannot delete ExtensionPackage [TWX_Converge_Core_ExtensionPackage] because the following Extension Entities are still in use: [entity: PTC.Resource.TemplateDataShape, used-by: Thing : PTC.SCA.SCO.Resource.CustomerManagementUtils][entity: PTC.Resource.CRM.AssignAssetShape, used-by: Thing : PTC.SCA.SCO.Resource.CustomerManagementUtils][entity: TW.UTL.Security.ThingShape, used-by: ThingTemplate : PTC.SCA.SCO.UTL.Security.ThingTemplate][entity: PTC.Resource.ListItem, used-by: ThingTemplate : PTC.SCA.SCO.EquipmentResourceProviderTemplate, ThingTemplate : PTC.SCA.SCO.EquipmentTemplateResourceProviderTemplate, ThingTemplate : PTC.Factory.DeviceResourceProviderTemplate, ThingTemplate : PTC.Factory.Administration.TagConfigurationUtilsTemplate, Thing : PTC.SCA.SCO.Resource.CustomerManagementUtils, DataShape : PTC.SCA.SCO.ListItemPreservedSelectionDataShape][entity: PTC.Resource.Asset.ThingworxAssetResourceProviderTemplate, used-by: ThingTemplate : PTC.Factory.KepServerResourceProviderThingTemplate][entity: PTC.Resource.CRM.ThingworxCustomerDataShape, used-by: Thing : PTC.SCA.SCO.Resource.CustomerManagementUtils][entity: PTC.Resource.ChartableItemShape, used-by: Thing : PTC.SCA.SCO.Resource.CustomerManagementUtils][entity: PTC.Resource.ThingBasedResourceProviderTemplate, used-by: ThingTemplate : PTC.SCA.SCO.EquipmentResourceProviderTemplate, ThingTemplate : PTC.SCA.SCO.EquipmentTemplateResourceProviderTemplate, ThingTemplate : PTC.Factory.DeviceResourceProviderTemplate, ThingTemplate : PTC.Factory.StatusExpressionResourceProviderTemplate][entity: PTC.Resource.CRM.CommonCustomerData, used-by: Thing : PTC.SCA.SCO.Resource.CustomerManagementUtils][entity: PTC.Resource.ResourceProviderTemplate, used-by: ThingTemplate : PTC.Resource.Factory.ThingworxUserResourceProviderTemplate]

 

I would really appreciate any suggestion regarding how to get out of this blockage.

Among all dependencies, I need to upgrade TWX_Converge_Core_ExtensionPackage from 8.5.2 to 9.0.0.

1 ACCEPTED SOLUTION

Accepted Solutions

Hi @malcelay ,

 

infotableselector extension 2.2.0 is already imported in the composer however ThingWorx-Apps-9.0.0-01-extension-dependencies.zip file contains infotableselector extension 2.0.0

We were able to import extensions properly by removing infotableselector extension 2.0.0 from the bundle as its newer version is already imported.

 

Thanks,

Himanshu

View solution in original post

3 REPLIES 3

Hi @malcelay ,

 

We already have a support case for the same issue and we are working on it.

Once we have the solution, will post it here as well.

 

Thanks,

Himanshu

Hi @malcelay ,

 

infotableselector extension 2.2.0 is already imported in the composer however ThingWorx-Apps-9.0.0-01-extension-dependencies.zip file contains infotableselector extension 2.0.0

We were able to import extensions properly by removing infotableselector extension 2.0.0 from the bundle as its newer version is already imported.

 

Thanks,

Himanshu

View solution in original post

slangley
23-Emerald I
(To:malcelay)

Hi @malcelay

 

If the previous response allowed you to resolve your issue, please mark it as the Accepted Solution for the benefit of others with the same problem.

 

Regards.

 

--Sharon

Announcements